
package org.mule.modules.googlec2dm.config;

import org.mule.api.Capabilities;
import org.mule.api.Capability;
import org.mule.modules.googlec2dm.GoogleC2dmModule;


/**
 * A <code>GoogleC2dmModuleCapabilitiesAdapter</code> is a wrapper around {@link GoogleC2dmModule } that implements {@link org.mule.api.Capabilities} interface.
 * 
 */
public class GoogleC2dmModuleCapabilitiesAdapter
    extends GoogleC2dmModule
    implements Capabilities
{


    /**
     * Returns true if this module implements such capability
     * 
     */
    public boolean isCapableOf(Capability capability) {
        if (capability == Capability.LIFECYCLE_CAPABLE) {
            return true;
        }
        return false;
    }

}
